# classes/phing/tasks/ext/phpcpd/PHPCPDFormatterElement.php

## \PHPCPDFormatterElement
jump to top

A wrapper for the implementations of PHPCPDResultFormatter.

author
  Benjamin Schultz
package
  phing.tasks.ext.phpcpd
version
  $Id: PHPCPDFormatterElement.php 728 2010-02-13 23:21:51Z bschultz $

### Properties

`\PHPCPDResultFormatter $_formatter= 'null'`

The report result formatter.

Default value `null` Details

Type
  \PHPCPDResultFormatter

`\PhingFile $_outfile= 'null'`

Output file for formatter.

Default value `null` Details

Type
  \PhingFile

`\PHPCPDTask $_parentTask= ''`

The parent task

Details

Type
  \PHPCPDTask

`string $_type= ''`

The type of the formatter.

Details

Type
  string

`boolean $_useFile= 'true'`

Whether to use file (or write output to phing log).

Default value `true` Details

Type
  boolean

### Methods

`__construct( \PHPCPDTask $parentTask ) :`
Construct a new PHPCPDFormatterElement with parent task.
Parameters

Name | Type | Description
--- | --- | ---
$parentTask | \PHPCPDTask |

`getFormatter( ) : \PHPCPDResultFormatter`
Returns the report formatter.
Returns

Type | Description
--- | ---
\PHPCPDResultFormatter |

Details

throws
  When the specified renderer does not exist.

`getOutfile( ) : \PhingFile`
Get the output file.
Returns

Type | Description
--- | ---
\PhingFile |

`getType( ) : string`
Get the formatter type
Returns

Type | Description
--- | ---
string |

`getUseFile( ) : boolean`
Return whether to write formatter results to file or not.
Returns

Type | Description
--- | ---
boolean |

`setOutfile( \PhingFile $outfile ) : void`
Sets the output file for the formatter results.
Parameters

Name | Type | Description
--- | --- | ---
$outfile | \PhingFile | The output file

`setType( string $type ) : void`
Sets the formatter type.
Parameters

Name | Type | Description
--- | --- | ---
$type | string | Type of the formatter

`setUseFile( boolean $useFile ) : void`
Set whether to write formatter results to file or not.
Parameters

Name | Type | Description
--- | --- | ---
$useFile | boolean | True or false.

Documentation was generated by DocBlox 0.13.1.